import "mod_draw";
import "mod_joy";
import "mod_key";
import "mod_map";
import "mod_math";
import "mod_proc";
import "mod_grproc";
import "mod_rand";
import "mod_screen";
import "mod_scroll";
import "mod_sound";
import "mod_text";
import "mod_video";
import "mod_file";


global
	
	// graficos
	int fpg_intro;
	int fpg_menu;
	int fpg_menu2;
	int fpg_sistema;
	int fpg_volumen;
	int fpg_nivel;
	int fpg_carla;
	int fpg_zombie;
	int fpg_armas;
	int fpg_gui;
	int fpg_items;
	
	// sonidos
	int menu_cursor;
	int sfx_armas[6];
	int sfx_granada;
	int sfx_item;
	
	// musica
	int bgm_intro;
	int bgm_pantalla1;
	
end

begin

	// inicializacion de video
	if ( os_id == OS_GP2X_WIZ)
		set_mode(320, 240, 8, MODE_8BITS);
	else
		set_mode(320, 240, 16, MODE_16BITS);
	end
	set_fps(30, 0);
	
	write_var(0, 0, 0, 0, fps);
	
	
	// inicializaciones
	iniciar_armas();

	//graficos "del sistema"
	fpg_sistema = load_fpg("fpg/sist.fpg");
	fpg_volumen = load_fpg("fpg/volumen.fpg");
	
	// controles
	if ( os_id == OS_GP2X_WIZ)control_volumen();end
    asignar_teclas_pc();
    control_teclas();
	control_niveles();
	


end


include "jkeys.prg";		//controla la entrada por joystick
include "volumen.prg";		//controla el volumen del juego
include "niveles.prg";		//contrla el nivel que se ejecuta
include "intro.prg";		//intro del juego
include "menu.prg";			//controlador del menu principal
include "menu2.prg";		//las opciones del menu
include "juego.prg";		//las opciones del menu
include "carla.prg";		//personaje principal
include "armas.prg";
include "enemigos.prg";
include "funciones.prg";	//funciones de movimientos y colisiones
include "gui.prg";
include "items.prg";
